Public Class TestData
    Public NodeList As New ArrayList()
    Public IL As ImageList

    Public Sub New()
        Dim I, J As Integer, tN As VisibleNode
        Dim x As New specialImagelist()
        Dim MerkNode As VisibleNode = Nothing
        IL = x.IL

        'load TestData
        For I = 0 To 97
            tN = GiveNode(I)
            If tN.NodeType = NodeTypes.heading Then
                MerkNode = tN
                NodeList.Add(tN)
            ElseIf tN.NodeType = NodeTypes.threeFields Then
                tN.NodeData = tN.Text & " (three times)"
                For J = 0 To 2
                    Dim tN1 As New VisibleNode("time " & J.ToString, tN.Text & " time " & J.ToString, NodeTypes.oneField, tN.Feldtyp)
                    tN.Nodes.Add(tN1)
                Next
                MerkNode.Nodes.Add(tN)
            Else
                tN.NodeData = tN.Text
                MerkNode.Nodes.Add(tN)
            End If
        Next
    End Sub

    Private Function GiveNode(ByVal Number As Integer) As VisibleNode
        Dim tN As VisibleNode = Nothing
        Select Case Number
            Case 0
                tN = New VisibleNode("Groups", "", NodeTypes.heading, FieldTypes.notfixed)
            Case 1
                tN = New VisibleNode("PP ITT other", "", NodeTypes.oneField, FieldTypes.Label)
            Case 2
                tN = New VisibleNode("General", "", NodeTypes.heading, FieldTypes.notfixed)
            Case 3
                tN = New VisibleNode("Loss reason", "", NodeTypes.oneField, FieldTypes.Label)
            Case 4
                tN = New VisibleNode("Patients May", "", NodeTypes.oneField, FieldTypes.Bool)
            Case 5
                tN = New VisibleNode("Age", "", NodeTypes.oneField, FieldTypes.Number)
            Case 6
                tN = New VisibleNode("Sex", "", NodeTypes.oneField, FieldTypes.Bool)
            Case 7
                tN = New VisibleNode("Smoking", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 8
                tN = New VisibleNode("Placebo-ControlGroups", "", NodeTypes.oneField, FieldTypes.Bool)
            Case 9
                tN = New VisibleNode("History and Process", "", NodeTypes.heading, FieldTypes.notfixed)
            Case 10
                tN = New VisibleNode("Kind of tumor", "", NodeTypes.oneField, FieldTypes.Label)
            Case 11
                tN = New VisibleNode("Cause of lack of GH", "", NodeTypes.oneField, FieldTypes.Label)
            Case 12
                tN = New VisibleNode("Other causes", "", NodeTypes.oneField, FieldTypes.Label)
            Case 13
                tN = New VisibleNode("Begin of lack of GH", "", NodeTypes.oneField, FieldTypes.Label)
            Case 14
                tN = New VisibleNode("Duration of lack of GH", "", NodeTypes.oneField, FieldTypes.Number)
            Case 15
                tN = New VisibleNode("Loss of function GH", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 16
                tN = New VisibleNode("Number of losses", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 17
                tN = New VisibleNode("Loss of function ACTH", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 18
                tN = New VisibleNode("Loss of function ADH", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 19
                tN = New VisibleNode("Loss of function FSH/LH", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 20
                tN = New VisibleNode("Loss of function of suprarenal body", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 21
                tN = New VisibleNode("Loss of function TSH", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 22
                tN = New VisibleNode("Complete hypophysis insufficiency", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 23
                tN = New VisibleNode("Diabetes Insipidus", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 24
                tN = New VisibleNode("Dopaminagonist", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 25
                tN = New VisibleNode("Operations", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 26
                tN = New VisibleNode("Adrenalektomie", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 27
                tN = New VisibleNode("Chemotherapy", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 28
                tN = New VisibleNode("Radiotherapy", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 29
                tN = New VisibleNode("Visual field defect", "", NodeTypes.oneField, FieldTypes.Label)
            Case 30
                tN = New VisibleNode("GH-Therapy", "", NodeTypes.heading, FieldTypes.notfixed)
            Case 31
                tN = New VisibleNode("Dose time 0-1", "", NodeTypes.oneField, FieldTypes.Number)
            Case 32
                tN = New VisibleNode("Dose time 1-2", "", NodeTypes.oneField, FieldTypes.Number)
            Case 33
                tN = New VisibleNode("Last dose", "", NodeTypes.oneField, FieldTypes.Number)
            Case 34
                tN = New VisibleNode("Observation period", "", NodeTypes.oneField, FieldTypes.Number)
            Case 35
                tN = New VisibleNode("Time from diagnosis to therapy", "", NodeTypes.oneField, FieldTypes.Label)
            Case 36
                tN = New VisibleNode("Other diseases", "", NodeTypes.heading, FieldTypes.notfixed)
            Case 37
                tN = New VisibleNode("Cardiovascular Events", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 38
                tN = New VisibleNode("Cerebrovascular Events", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 39
                tN = New VisibleNode("Hypertonia", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 40
                tN = New VisibleNode("Diabetes mellitus", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 41
                tN = New VisibleNode("Bone density", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 42
                tN = New VisibleNode("Bone density 0-1", "", NodeTypes.oneField, FieldTypes.Label)
            Case 43
                tN = New VisibleNode("Bone density 1-2", "", NodeTypes.oneField, FieldTypes.Label)
            Case 44
                tN = New VisibleNode("Bone density 0-2", "", NodeTypes.oneField, FieldTypes.Label)
            Case 45
                tN = New VisibleNode("Fracture frequency entirely", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 46
                tN = New VisibleNode("Fracture frequency forced", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 47
                tN = New VisibleNode("Fracture frequency unforced", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 48
                tN = New VisibleNode("Tumors", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 49
                tN = New VisibleNode("Psychological diseases", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 50
                tN = New VisibleNode("Epilepsy", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 51
                tN = New VisibleNode("Side effects", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 52
                tN = New VisibleNode("Physical values", "", NodeTypes.heading, FieldTypes.notfixed)
            Case 53
                tN = New VisibleNode("Body size", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 54
                tN = New VisibleNode("Weight", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 55
                tN = New VisibleNode("Body Mass Index", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 56
                tN = New VisibleNode("Waist hip quotient", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 57
                tN = New VisibleNode("Blood pressure", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 58
                tN = New VisibleNode("Laboratory values", "", NodeTypes.heading, FieldTypes.notfixed)
            Case 59
                tN = New VisibleNode("HbA 1c", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 60
                tN = New VisibleNode("Cholesterin", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 61
                tN = New VisibleNode("HDL", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 62
                tN = New VisibleNode("LDL", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 63
                tN = New VisibleNode("Triglyceride", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 64
                tN = New VisibleNode("LP(a)", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 65
                tN = New VisibleNode("IGF 1", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 66
                tN = New VisibleNode("IGF 1 SD", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 67
                tN = New VisibleNode("BIA", "", NodeTypes.heading, FieldTypes.notfixed)
            Case 68
                tN = New VisibleNode("Fat body mass", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 69
                tN = New VisibleNode("Lean body mass", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 70
                tN = New VisibleNode("Lean fat index", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 71
                tN = New VisibleNode("TBW", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 72
                tN = New VisibleNode("Body water", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 73
                tN = New VisibleNode("Body Cell Mass", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 74
                tN = New VisibleNode("ECM Weight", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 75
                tN = New VisibleNode("ECM BCM Index", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 76
                tN = New VisibleNode("Quality of Life ", "", NodeTypes.heading, FieldTypes.notfixed)
            Case 77
                tN = New VisibleNode("Nottingham health profile negative answers", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 78
                tN = New VisibleNode("Quality of Life negative answers", "", NodeTypes.oneField, FieldTypes.Number)
            Case 79
                tN = New VisibleNode("Family status", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 80
                tN = New VisibleNode("Number of the children", "", NodeTypes.threeFields, FieldTypes.Number)
            Case 81
                tN = New VisibleNode("Physical activity / spare time", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 82
                tN = New VisibleNode("Occupation", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 83
                tN = New VisibleNode("Satisfaction", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 84
                tN = New VisibleNode("Side effects", "", NodeTypes.heading, FieldTypes.notfixed)
            Case 85
                tN = New VisibleNode("Side effects Acne", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 86
                tN = New VisibleNode("Side effects Complaints injection point", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 87
                tN = New VisibleNode("Side effects Joint pain", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 88
                tN = New VisibleNode("Side effects increase in weight", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 89
                tN = New VisibleNode("Side effects Hair loss", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 90
                tN = New VisibleNode("Side effects Bone pain", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 91
                tN = New VisibleNode("Side effects Headache", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 92
                tN = New VisibleNode("Side effects Muscular pain", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 93
                tN = New VisibleNode("Side effects Edemas", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 94
                tN = New VisibleNode("Side effects Paresthesias", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 95
                tN = New VisibleNode("Side effects Back pain", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 96
                tN = New VisibleNode("Side effects Sleeplessness", "", NodeTypes.threeFields, FieldTypes.Label)
            Case 97
                tN = New VisibleNode("Side effects Tinnitus", "", NodeTypes.threeFields, FieldTypes.Label)
        End Select
        Return tN
    End Function

End Class
