Imports System.Windows.Forms
Public Class VisibleNode
    Inherits TreeNode 'damit wird die Klasse vom TreeNode abgeleitet
    Public NodeType As NodeTypes
    Public NodeData As String
    Public Feldtyp As FieldTypes = FieldTypes.notfixed
    Public Sub New(ByVal xText As String, ByVal xNodeData As String, ByVal xNodeType As NodeTypes, ByVal xFeldtyp As FieldTypes)
        MyBase.New()
        NodeType = xNodeType
        Feldtyp = xFeldtyp
        NodeData = xNodeData
        Me.Text = xText

        Dim Res As Integer
        Select Case Feldtyp
            Case FieldTypes.notfixed
                Res = 0
            Case FieldTypes.Bool
                Res = 1
            Case FieldTypes.Label
                Res = 2
            Case FieldTypes.Number
                Res = 3
            Case FieldTypes.xDate
                Res = 4
        End Select

        If Res <> 0 Then
            If NodeType = NodeTypes.threeFields Then
                Res = Res + 4
            End If
        End If
        Me.ImageIndex = Res
        Me.SelectedImageIndex = Res
    End Sub

End Class
